"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("..");
var TestHelpers_1 = require("../parser/__tests__/TestHelpers");
var DocNodeTransforms_1 = require("../transforms/DocNodeTransforms");
test('01 trimSpacesInParagraphNodes()', function () {
    var buffer = [
        '/**',
        ' *',
        ' *    This \t is    the',
        ' * first   {@mylink}sentence.',
        ' *         This is another',
        ' *sentence.  ',
        ' */'
    ].join('\n');
    var tsdocParser = new __1.TSDocParser();
    var parserContext = tsdocParser.parseString(buffer);
    var firstNode = parserContext.docComment.summarySection.nodes[0];
    expect(firstNode.kind).toEqual("Paragraph" /* Paragraph */);
    var paragraph = firstNode;
    var transformedParagraph = DocNodeTransforms_1.DocNodeTransforms.trimSpacesInParagraph(paragraph);
    expect(TestHelpers_1.TestHelpers.getDocNodeSnapshot(transformedParagraph)).toMatchSnapshot();
});
//# sourceMappingURL=DocNodeTransforms.test.js.map