"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocNode_1 = require("./DocNode");
var DocParticle_1 = require("./DocParticle");
/**
 * Represents an HTML end tag.  Example: `</a>`
 */
var DocHtmlEndTag = /** @class */ (function (_super) {
    __extends(DocHtmlEndTag, _super);
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    function DocHtmlEndTag(parameters) {
        var _this = _super.call(this, parameters) || this;
        /** {@inheritDoc} */
        _this.kind = "HtmlEndTag" /* HtmlEndTag */;
        return _this;
    }
    Object.defineProperty(DocHtmlEndTag.prototype, "elementName", {
        /**
         * The HTML element name.
         */
        get: function () {
            return this._elementNameParticle.content;
        },
        enumerable: true,
        configurable: true
    });
    /** @override */
    DocHtmlEndTag.prototype.updateParameters = function (parameters) {
        _super.prototype.updateParameters.call(this, parameters);
        this._openingDelimiterParticle = new DocParticle_1.DocParticle({
            particleId: 'openingDelimiter',
            excerpt: parameters.openingDelimiterExcerpt,
            content: '</'
        });
        this._elementNameParticle = new DocParticle_1.DocParticle({
            particleId: 'elementName',
            excerpt: parameters.elementNameExcerpt,
            content: parameters.elementName
        });
        this._closingDelimiterParticle = new DocParticle_1.DocParticle({
            particleId: 'closingDelimiter',
            excerpt: parameters.closingDelimiterExcerpt,
            content: '>'
        });
    };
    /**
     * {@inheritDoc}
     * @override
     */
    DocHtmlEndTag.prototype.getChildNodes = function () {
        return [
            this._openingDelimiterParticle,
            this._elementNameParticle,
            this._closingDelimiterParticle
        ];
    };
    return DocHtmlEndTag;
}(DocNode_1.DocNode));
exports.DocHtmlEndTag = DocHtmlEndTag;
//# sourceMappingURL=DocHtmlEndTag.js.map