"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocNode_1 = require("./DocNode");
/**
 * Abstract base class for `DocNode` subclasses that correspond to input text,
 * i.e. can have an associated Excerpt object.
 */
var DocNodeLeaf = /** @class */ (function (_super) {
    __extends(DocNodeLeaf, _super);
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    function DocNodeLeaf(parameters) {
        return _super.call(this, parameters) || this;
    }
    Object.defineProperty(DocNodeLeaf.prototype, "excerpt", {
        /**
         * If this DocNode was created by parsing an input, the `DocNode.excerpt`
         * property can be used to track the associated input text.  This can be useful
         * for highlighting matches during refactoring or highlighting error locations.
         */
        get: function () {
            return this._excerpt;
        },
        enumerable: true,
        configurable: true
    });
    /** @override */
    DocNodeLeaf.prototype.updateParameters = function (parameters) {
        _super.prototype.updateParameters.call(this, parameters);
        this._excerpt = parameters.excerpt;
    };
    /**
     * Allows the DocNodeLeaf.excerpt to be updated after the object was constructed.
     */
    DocNodeLeaf.prototype.updateExcerpt = function (excerpt) {
        this._excerpt = excerpt;
    };
    return DocNodeLeaf;
}(DocNode_1.DocNode));
exports.DocNodeLeaf = DocNodeLeaf;
//# sourceMappingURL=DocNodeLeaf.js.map