import { TSDocTagDefinition } from './TSDocTagDefinition';
/**
 * Configuration for the TSDocParser.
 */
export declare class TSDocParserConfiguration {
    private _tagDefinitions;
    private _tagDefinitionsByName;
    constructor();
    /**
     * The TSDoc block tag names that will be interpreted as modifier tags.
     */
    readonly tagDefinitions: ReadonlyArray<TSDocTagDefinition>;
    /**
     * Return the tag that was defined with the specified name, or undefined
     * if not found.
     */
    tryGetTagDefinition(tagName: string): TSDocTagDefinition | undefined;
    /**
     * Return the tag that was defined with the specified name, or undefined
     * if not found.
     */
    tryGetTagDefinitionWithUpperCase(alreadyUpperCaseTagName: string): TSDocTagDefinition | undefined;
    /**
     * Define a new TSDoc tag to be recognized by the TSDocParser.
     */
    addTagDefinition(tagDefinition: TSDocTagDefinition): void;
    addTagDefinitions(tagDefinitions: ReadonlyArray<TSDocTagDefinition>): void;
}
